<?php
  include("topinsert.php");
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title><?php echo $dTitle; ?></title>

    <link href="<?php echo $GLOBALS['vendorsPath']?>vendors/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="<?php echo $GLOBALS['vendorsPath']?>vendors/fontawesome/css/font-awesome.min.css" rel="stylesheet">
    <?php include $GLOBALS['assetsPath'].'css/style.php';?>
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/js/modernzr.custom.js"></script>
    <?php include $GLOBALS['assetsPath'].'css/menu.php';?>
    
    <?php include "../m/funcjs.php"; ?>  
      </head>
  <body>
    <!-- start counters -->
    <div class="container no-pad-all">
    <?php include 'counter.php';?>    
    </div>
    <!-- end counters -->
    </div>
    <!-- end counters -->

  
    <div class="container no-pad-all container-main">
        <!-- The Header Part -->
        <div class="row-fluid hidden-xs hidden-sm">
          <div class="header-main col-md-12 col-md-12"></div>
        </div><!--End The Header Part -->

        <div class="row-fluid">
              <div class="container-main col-md-12 col-md-12">
                <!--Start THe Sidebar -->
                <?php include 'sidebar.php';?>
                <!--End THe Sidebar -->

                <!-- THe Content -->
                <div id="main-content" class=" col-md-9 col-lg-9 col-sm-9 content col-xs-9">
                  <!-- right side -->
                  <div class="main-content">
                    <!-- content here starts -->


                      <div class="panel panel-dark">
                        <div class="panel-heading">
                          <h3 class="panel-title panel-title-large"><img src="<?php echo $GLOBALS['linkPath']?>images/seamenow-gold.png" class="ptl"> Se@MeNow</h3>
                        </div>
                        <div id="seamenowpagebody" class="panel-body" style="min-height: 551px;">
                          <div class="system-info">
                            <div class="system-info__header">
                                <img src="<?php echo $GLOBALS['linkPath']; ?>images/smn_logo_final_2.png" class="img-responsive" style="margin:0 auto;height:100px">
                            </div>
                            <hr>
                            <br>
                            <div class="">
                              <p>Se@MeNow is a social network designed for seafarers, bridging the distance with family and loved ones at home.</p>
                              <p>You can connect through video, voice & text chat, share photos, blog, play online games, follow your favorite sports events and shop online with world-wide delivery.</p>
                              <p>Se@MeNow includes a messenger app downloadable from Google Play and ITunes, making connectivity with your loved ones in the most easy way.</p> 
                              <br>
                              <br>
                              <p style="text-align:center"><a href="javascript:;" id="openSeaMeNowForm" class="btn  btn-lg btn-primary"><i class="fa fa-play-circle"></i> Connect</a></p>
                            </div>
                            
                            <br>
                            <!-- <a href="javascript:;" id="openSeaMeNowForm" class="btn btn-lg btn-primary"><i clas="fa fa-play-circle">&nbsp;&nbsp;</i> Connect</a> -->
                          </div>
                          <iframe name="seaframe" id="seaframe" style='display:none;'></iframe>
                          <form id="user_form_login" class="global_form_box" method="post" action="http://seamenow.com:12010/user/auth/loginapi" enctype="application/x-www-form-urlencoded" target="seaframe">
                              <input type='hidden' id="email" value="" name="email">
                              <input type='hidden' id="password" value="" name="password">
                          </form>
                        </div>
                      </div>

                      <!-- footer -->
                      <div class="footer"><img class="footer-image" src="<?php echo $GLOBALS['linkPath']?>images/smsgloballogo_.png"></div>
                      <!-- footer -->
                      <!-- content here Ends -->
                      <div class="clearfix"></div>
                      
                  </div><!--End #main-content .main-content -->
                </div><!--End #main-content -->

              </div>

            </div>
        </div>
    </div>
    <!-- MODALS STARTS HERE -->
    <?php include 'controlpanel.php';?>
    <!-- MODALS ENDS HERE -->
    <?php include 'reload.php'; ?>
    <?php include '../m/inetrelated.php'; ?>
    <?php $mobileSiteShow = true?>
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/jquery/jquery.js"></script>
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/jquery/jquery-ui.min.js"></script>
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/bootstrap/js/bootstrap.min.js"></script>  
    <script src="<?php echo $GLOBALS['vendorsPath']?>vendors/js/jquery.bpopup.min.js"></script>
    <script type="text/javascript" src="<?php echo $GLOBALS['mobilePath']; ?>vendors/cropbox.js"></script>
    <script src="<?php echo $GLOBALS['vendorsPath']?>js/main.js"></script>
    <script type="text/javascript" src="<?php echo $GLOBALS['mobilePath']; ?>js/jquery.base64.js"></script>
    
    <?php if(isset($mobileSiteShow) &&  $mobileSiteShow === true):?>
        <?php echo detectUserAgent(' style="width:100%;padding:0 0 10px; 0" align="center"'); ?>
    <?php else:?>
        <div class="mobile-browser-tablet-detect__footer">
            <?php echo detectUserAgent(' style="width:100%;padding:0 0 10px; 0" align="center"'); ?>
        </div>
    <?php endif;?>

  <?php include "loading.php"; ?>
    
    <?php include "dfoot.php"; ?>
    <?php include 'funcjs.dev.php';?>
    <script type="text/javascript">
      /*
      seamenow open popop
      */
      var seaMeNowHrefObjTimer;

      $('#openSeaMeNowForm').click(function(event) {
        console.log('on click event, seamenow function in tmpl_modal.php');
        event.preventDefault();
        var internet = localStorage.getItem('internetActivated'),seaMeNowHrefObj;
        localStorage.setItem('seamenowsignedin',JSON.stringify(true));
        if(internet == 'true'){
          var template = $('#seamenowSignIn');
          // $('#seamenowSignIn').show();
          $('#seamenowpagebody').block({
           message:template,
           css: {border:'none'}
          });
          $('#seamenowSignIn').show();
          $('.blockOverlay').css('background','#000 !important');
          sendSeaMeNowForm();
        }else{
          onoffinet('1', '1');
        }

      });
      //close modal
      //abort ajax here or redirect here
      function seamenowclose(){
        clearInterval(seaMeNowHrefObjTimer);
        $('#seamenowpagebody').unblock();
      }

      function sendSeaMeNowForm(){      
          var passer = '<?php echo (isset($_SESSION['upass'])?$_SESSION['upass']:""); ?>';
          var ussser = '<?php echo (isset($_SESSION['uid'])?$_SESSION['uid']:""); ?>';

          if(passer && ussser)
          {
          document.getElementById('email').value = ussser;
          document.getElementById('password').value = passer;
          document.getElementById('user_form_login').submit();
          var intstat = true;
          document.getElementById('seaframe').onload = function(){
            if (intstat) {
              window.open('','seaframe');
                var semenowframewindow = window.open('http://seamenow.com:12010/','seamenowframe');
                semenowframewindow.focus();
              localStorage.removeItem('seamenowsignedin');
              ajxCnt = 0;
            }
            intstat = false;
            $('#seamenowpagebody').unblock();

            // $('#seamenowSignIn').bPopup().close();
          };
          return true;
        }
        return false;
      }
      setInterval(function(){
        checkfeature.web();
      },5000);
    </script>
  </body>
</html>
<?php include "../m/foot.php"; ?>
  </body>
</html>