<?php 
/**
 * a simple script to insert GPS location
 * @author HONESTO GO JR
 **/

error_reporting(E_ALL);
//error_reporting(0);  
set_time_limit(0);


header("Access-Control-Allow-Origin: *");
$GLOBALS['method'] = 'GET'; //change to 'POST' for post method
$GLOBALS['mac'] = '';
$GLOBALS['lat'] = '';
$GLOBALS['lon'] = '';
$GLOBALS['interval'] = 60;
	
/**
$GLOBALS['url_v8'] = "http://localhost/redport/redport_gps_api.php" ;
$GLOBALS['url_local'] = "http://10.1.5.1/cgi-bin/gps" ;
$GLOBALS['url_nmea'] = "http://10.1.5.1/cgi-bin/nmea?read" ;
$GLOBALS['url_track'] = "http://10.1.5.1/cgi-bin/tracking?read" ;
**/
	
$varhost = gethostname();
$varIP = gethostbyname($varhost);
$varServer = "93.157.3.167:10990";

$GLOBALS['url_v8'] = "http://" . $varServer . "/smsglobal/redportapi/lib/gps_api.php" ;
$GLOBALS['url_local'] = "http://" . $varIP . "/cgi-bin/gps" ;
$GLOBALS['url_nmea'] = "http://" . $varIP . "/cgi-bin/nmea?read";
$GLOBALS['url_track'] = "http://" . $varIP . "/cgi-bin/tracking?read" ;

    
//	echo "============================\r\n";
//	echo "=    RED PORT TO GPS API   =\r\n";
//	echo "============================\r\n";

//echo $GLOBALS['url_v8'] . "\r\n";
//echo $GLOBALS['url_local'] . "\r\n" ;
//echo $GLOBALS['url_nmea'] . "\r\n" ;
//echo getcwd();

    while ( 1 ){
	
		if ( GPSEnable() == true ) {
			if (GetGPSData() == true) {
				
				SaveGPSData($GLOBALS['mac'], '', $GLOBALS['lon'], $GLOBALS['lat'], date('Y-m-d h:m:s'));
				
			}
		}
		
		echo 'Done.' . "\r\n\r\n\r\n";
		//time_sleep_until(time() + $GLOBALS['interval']); 
                //`sleep($GLOBALS['interval'] * 60);
		die();		
	}
	
	
	function GPSEnable(){
		$result = file_get_contents($GLOBALS['url_nmea']);
		$result = str_replace("</pre>", "", str_replace("<pre>", "", $result) );
		$myResult = explode("\n", $result);

		//loop the result
		foreach ($myResult as $value) {
			if ($value <> '') {				
				//echo $value ;
				if (strpos($value, "enabled=") !== false) {
					$GPS_enable = str_replace("'", "", str_replace("enabled=", "", $value) )	;
				//} else if (strpos($value, "interval=") !== false) {
				//	$GLOBALS['interval'] = str_replace("'", "", str_replace("interval=", "", $value) ) ;	
				}
				
			} // end if
		} // end foreach
		
		//echo $GPS_enable . " " . $GLOBALS['interval'] . "\r\n";
		unset($result);
		unset($myResult);
		unset($value);

		if ($GPS_enable == "on") {
			return true ;
		} else {
			return false ;
		}
		
	} // end of function
	
	function GetGPSData() {
		$result = file_get_contents($GLOBALS['url_local']);
		$result = str_replace("</pre>", "", str_replace("<pre>", "", $result) );
		//echo $result;
		$myResult = explode("\n", $result);
		//echo $myResult[0];
		
		//loop the result
		foreach ($myResult as $value) {
			if ($value <> '') {				
				//echo $value ;
				if (strpos($value, "MAC") !== false) {
					$GLOBALS['mac'] = str_replace("MAC: ", "", $value)	;
				} else if (strpos($value, "Lat") !== false) {
					$GLOBALS['lat'] = str_replace("Lat(deg): ", "", $value) ;	
				} else if (strpos($value, "Lon") !== false) {
					$GLOBALS['lon'] = str_replace("Lon(deg): ", "", $value) ;	
				}
				
			} // end if
		} // end foreach
			
		//echo $GLOBALS['mac'] . $GLOBALS['lat'] . $GLOBALS['lon'] ;
		unset($result);
		unset($myResult);
		unset($value);

		if ($GLOBALS['mac'] <> '' and $GLOBALS['lat'] <> '' and $GLOBALS['lon'] <> '') {
			return true ;
		} else {
			return false ;
		}
									
	} // end of function
	
	//////////// call shore gps api //////////// 
	function SaveGPSData($macadd, $vesselid, $long, $lat, $serverdate) {
		// Your POST data
		$data = array(
				'macid' => $macadd,
				'vessid' => $vesselid,
				'gpslong' => $long,
				'gpslat' => $lat,
				'gpsdate' => $serverdate
				);
		
		//echo serialize($data) . "\r\n"; 
		
		if ($GLOBALS['method'] == 'POST'){
			//Make POST request
			$data = http_build_query($data);
			$context = stream_context_create(array(
				'http' => array(
				'method' => $GLOBALS['method'],
				'header' => 'Content-Type: application/x-www-form-urlencoded',
				'content' => $data)
    			)
    		);
			
			$response = file_get_contents($GLOBALS['url_v8'], false, $context);
		} else {
			// Make GET request
			$data = http_build_query($data, '', '&');
			$response = file_get_contents($GLOBALS['url_v8'] . "?" . $data, false);
		}
		
		//echo $response .  "\r\n";		
		
		unset($data);
		unset($context);
		unset($response);
	} // end of function
	
	   
	// log transaction
    function log_msg($msg_content)
    {		
        chdir(dirname(__FILE__));	

        $tmp_data = "date_time : " . date("F j, Y, g:i a") . " ";                
	    $tmp_data .= $msg_content . "\r\n";
	    file_put_contents ("./gps_api_" . date('Ymd') . ".log", $tmp_data, FILE_APPEND);
    }	

?>