.message-container{
	margin: 0 0 100px 0;
	background: #fff;
	min-height: 700px;
	padding-bottom:100px;
}

.message-preview{
	margin:  0;
	padding: 0;
}
.message-preview li{
	display: inline-block;
	float: left;
	width: 100%;
	background: #FFF;
	border-bottom: 1px solid #C7C7C7;
	padding:15px 20px;
	position: relative;
}
.message-preview li a{
	color:#000;
	margin: 0 0 0 34px;
}
.message-preview li:hover{
	background: #E7F3F7;
}
.message-preview li.active{
	background: #E7F3F7;
}

.control{
	background:#464C4F;
	position:fixed;
	bottom:0;
	left:0;
	width:100%;
	z-index:9;
}

.control-credit-count{
	background: #464C4F;
	border-right: 1px solid #000;
	border-left: 1px solid #000;
	border-top: 3px solid #000;
	border-bottom: 3px solid #000;
	padding:5px 20px;
}
/*.control-credit-count__text{
	color: #F58C2D;
}
.control-credit-count__count{
	color: #F58C2D;
	float: right;
	text-align: center;
	width: 100px;
	border-left:1px solid #F58C2D;
}*/

.control-credit-count__text {
  color: #F58C2D;
  text-align: right !important;
  width: 60%;
  display: inline-block;
}

.control-credit-count__count {
    color: #F58C2D;
    /* float: right; */
    text-align: center;
    width: 0%;
    border-left: 1px solid #F58C2D;
    padding-left: 10px;
    display: inline-block;
    margin-left: 11px;
}

.control-credit-count__remaining{
  display: inline-block;
  color: #F58C2D;
  width: 30%;
}

.message-preview__meta{
	padding: 0 0 0 34px;
	margin:0 0 0 0;
}
.message-preview__meta-name{
	font-size: 16px;
	word-wrap: break-word;
	/* max-height: 40px; */
	/* height: 40px; */
	min-height: -29px;
	height: 22px;
	font-size: 16px;
	overflow: hidden;
	max-height: 22px;
	display: inline-block;
}
.message-preview__contents{
	padding: 0 0 0 34px;
	margin: 0;	
}
.message-preview__meta-date{
	float:right;
	font-size:12px;
	color:#666;
}
.message-preview-header{
		background: #FCFCFC;
}


/*Reply COntrols*/
.reply-controls{
	  padding: 0 0 0 0;
	  background: rgb(254,254,254); /* Old browsers */
background: -moz-linear-gradient(top,  rgba(254,254,254,1) 0%, rgba(241,241,241,1) 54%, rgba(229,229,229,1) 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(254,254,254,1)), color-stop(54%,rgba(241,241,241,1)), color-stop(100%,rgba(229,229,229,1))); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top,  rgba(254,254,254,1) 0%,rgba(241,241,241,1) 54%,rgba(229,229,229,1) 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top,  rgba(254,254,254,1) 0%,rgba(241,241,241,1) 54%,rgba(229,229,229,1) 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top,  rgba(254,254,254,1) 0%,rgba(241,241,241,1) 54%,rgba(229,229,229,1) 100%); /* IE10+ */
background: linear-gradient(to bottom,  rgba(254,254,254,1) 0%,rgba(241,241,241,1) 54%,rgba(229,229,229,1) 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fefefe', endColorstr='#e5e5e5',GradientType=0 ); /* IE6-9 */

}

.reply-controls__checkbox{
    display: inline-block;
    float: left;
    margin-top: 16px;
    position: absolute;
    margin-left: 19px;
}
.reply-controls_group{
	display: inline-block;
	margin-top: 0;
	width: 100%;
}

.reply-controls_group.with-checkbox{
	width:85% !important;
	margin-left:35px !important;
}

.reply-controls_group a{
	display: inline-block;
	float: left;
	font-size: 30px;
	width: 25%;
}

.reply-controls_group.six a{
	width: 16.66%;
}
.reply-controls_group.five a{
	width: 20%;
}
.reply-controls_group.four a{
	width: 25%;
}
.reply-controls_group.two a{
	width: 50%;
}
.reply-controls_group.three a{
	width: 33.33%;
}

.reply-controls_group.titled a{
	font-size: 14px;
	vertical-align: super;
}
.reply-controls_group.titled a .fa,
.reply-controls_group.titled a .icon,
.reply-controls_group.titled a .glyphicon{
	font-size: 30px;
	vertical-align: middle;
}

/*
```
<div class="message-content__container">
	<div class="message-content__header">
		<div class="message-content__header-subject">subject</div>
		<div class="message-content__header-profile">
			
		</div>
		<div class="message-content__header-date">date</div>
	</div>
	<div class="message-content__content">
		<p>contents jere</p>
		
	</div>
</div>
```
*/

.message-content__container{
	position: relative;
	background: #fff;
	min-height: 600px;
}
.message-content__header{
	min-height: 87px;
	background: #DCDCDB;
}

.message-content__header-subject{
	padding: 4px 20px;
	border-bottom: 1px solid #BDBDBD;
}
.message-content__header-subject p{
	margin: 0;
	font-size: 16px;
}


.message-content__header-profile-img{
	float:left;
	margin:0 20px 10px 0;
}
.message-content__header-img-label{
	margin:0 0 0  10px 00 20px;
}
.message-content__header-img-label p{
	font-size: 14px;
    margin: 0 0 0 0;
    padding: 0;
    font-weight: 200;
}
.message-content__header-profile{
	padding: 4px 20px;
	background: #E8E9EA;
	border-bottom: 1px solid #BDBDBD;
}

.message-content__header-date,
.message-content__header-cc,
.message-content__header-bcc{
	padding: 4px 20px;
	background: #E8E9EA;
	border-bottom: 1px solid #BDBDBD;
}

.message-content__content{
	  padding: 14px 20px 100px 20px;
}


/*New Email Message*/

.new-email-message{
	position: relative;
	background: #fff;
	padding-bottom: 90px;

}


.new-email-message .write-area textarea{
	width: 100%;
	max-width: 100%;
	min-width: 100%;
	height: 210px;
	max-height: 260px;
	padding: 10px 18px;
	border: none;
	outline: none;
}

.new-sms-message .write-area textarea{
	height: 350px;
	max-height: 350px;
	margin-bottom: 30px;
}

.new-email-message .input-group .input-group-addon{
  padding: 15px 15px;
  font-size: 14px;
  font-weight: normal;
  line-height: 1;
  color: #555;
  text-align: center;
  background-color: #fff;
  border: 1px solid transparent;
  border-radius:0;
 
}

.email_input_form_contacts-add-user{
	 visibility:hidden;
}

.new-email-message .input-group .form-control{
	border: none;
	outline: none;
	box-shadow: none;
	height: 50px;
}
.new-email-message .input-group{
	border-bottom: 1px solid #ccc;
}

.input-group-addon__custom{
  width: 100px;
  font-size: 25px !important;
  background: #EEEEEE !important;
  border-left: 1px solid #E3E3E3 !important;
}


.input-group-addon__custom i{
	color:#1A6892;
}

/*Horizontal menu*/
.horizontal-menu-container{
	background: #fff;
}

.horizontal-menu{
	margin: 0;
	padding: 0;
}

.horizontal-menu li{
	display: block;
	width: 100%;
	border-bottom: 1px solid #C9C9C9;

	background: rgb(254,254,254); /* Old browsers */
	background: -moz-linear-gradient(top,  rgba(254,254,254,1) 0%, rgba(241,241,241,1) 54%, rgba(229,229,229,1) 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(254,254,254,1)), color-stop(54%,rgba(241,241,241,1)), color-stop(100%,rgba(229,229,229,1))); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  rgba(254,254,254,1) 0%,rgba(241,241,241,1) 54%,rgba(229,229,229,1) 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  rgba(254,254,254,1) 0%,rgba(241,241,241,1) 54%,rgba(229,229,229,1) 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  rgba(254,254,254,1) 0%,rgba(241,241,241,1) 54%,rgba(229,229,229,1) 100%); /* IE10+ */
	background: linear-gradient(to bottom,  rgba(254,254,254,1) 0%,rgba(241,241,241,1) 54%,rgba(229,229,229,1) 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fefefe', endColorstr='#e5e5e5',GradientType=0 ); /* IE6-9 */

}

.horizontal-menu li a{
	display: block;
	width: 100%;
	/*background: #f00;*/
	padding:10px 40px;
	position: relative;
}

.horizontal-menu__icon{
	font-size: 30px;
	color:#FF9900;
	width: 30px;
	text-align: center;
}
.horizontal-menu__title{
	vertical-align: super;
	position: relative;
	margin-left: 10px; 
	font-size: 20px;
}
.horizontal-menu__chevron{
	position: absolute;
	top: 18px;
  right: 40px;
  font-size: 21px;
}



/*
	Contact details
*/

.contact-details-list,
.contact-details-list-support li{
	margin:0;
	padding: 0;
}

.contact-details-list-support{
	padding:0;
	margin-bottom:0;
}

.contact-details-list li,
.contact-details-list-support li{
	position: relative;
	display: block;
	width: 100%;
	list-style: none;
	list-style-type: none;
	border-bottom: 1px solid #BCBCBC;
	padding: 14px 0 0 20px;
}

.contact-details-list__checkbox-container{
	display: inline-block;
	float:left;
	margin-right: 15px;
}
.contact-details-list__details{
	display: inline-block;
	float:left;
	margin: 1px 0 11px 24px;
}

.contact-details-list__details dt,
.contact-details-list__details dd{
	margin: 0;
}

.contact-details-list__details dt{
	font-size: 19px;
}
.contact-details-list__details dd{
	font-size: 15px;
	line-height: 16px;
	color:#9F9999;
}

.contact-details-list__edit-icon{
	position: absolute;
	display: inline-block;
	top:10px;
	right: 30px;
	font-size: 27px;
	color: #1A6892;
	top: 22px;
}

.checkbox-for-label span{
	top:25px;
}

/*Profile*/

.profile-details{
	margin: 0;
	padding:0;
	background: #fff;
	padding: 20px 30px;
}

.profile-details__name{
	text-transform: capitalize;
	margin-bottom: 25px;
	font-size: 30px;
	font-weight: 100;
}
.profile-details__details {
	margin-bottom: 23px;
}
.profile-details__details dt{
	text-transform: capitalize;
	font-weight: 100;
	margin-bottom: 10px;
	font-size: 18px;
}
.profile-details__details dd{
	font-size: 16px;
	margin: 0 0 10px 0
}

.profile-details-details__label{
	color:#999999;
	margin-right: 25px;
	text-transform: capitalize;
}
.profile-details-details__content{
	color:#1A6892;
}

.profile-details-details__content input{
	height: 50px;
	padding:5px 15px;
	color: #000;
	width: 100%;
}
@media(max-width: 359px){
	.profile-details-details__content input{
		width: 100%;
	}
}

.horizontal-menu-selected{
	margin:0;
	padding:0;
	padding-bottom: 60px;
}

.horizontal-menu-selected__head{
	display: block;
	position:relative;
	width: 100%;
	border-bottom: 1px solid #C9C9C9;
	padding:20px 30px;
	background: rgb(254,254,254); /* Old browsers */
	background: -moz-linear-gradient(top,  rgba(254,254,254,1) 0%, rgba(241,241,241,1) 54%, rgba(229,229,229,1) 100%); /* FF3.6+ */
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(254,254,254,1)), color-stop(54%,rgba(241,241,241,1)), color-stop(100%,rgba(229,229,229,1))); /* Chrome,Safari4+ */
	background: -webkit-linear-gradient(top,  rgba(254,254,254,1) 0%,rgba(241,241,241,1) 54%,rgba(229,229,229,1) 100%); /* Chrome10+,Safari5.1+ */
	background: -o-linear-gradient(top,  rgba(254,254,254,1) 0%,rgba(241,241,241,1) 54%,rgba(229,229,229,1) 100%); /* Opera 11.10+ */
	background: -ms-linear-gradient(top,  rgba(254,254,254,1) 0%,rgba(241,241,241,1) 54%,rgba(229,229,229,1) 100%); /* IE10+ */
	background: linear-gradient(to bottom,  rgba(254,254,254,1) 0%,rgba(241,241,241,1) 54%,rgba(229,229,229,1) 100%); /* W3C */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fefefe', endColorstr='#e5e5e5',GradientType=0 ); /* IE6-9 */
}
.horizontal-menu-selected-head__icon{
	font-size: 30px;
	color:#FF9900;
	width: 30px;
	text-align: center;
}
.horizontal-menu-selected-head__title{
	vertical-align: super;
	position: relative;
	margin-left: 10px; 
	font-size: 20px;
}
.horizontal-menu-selected-head__chevron{
	position: absolute;
	top: 15px;
    right: 40px;
    font-size: 41px;	
}

.horizontal-menu-selected li{
	display:block;
	width:100%;
	list-style:none;
	list-style-type:none;
	padding:20px 30px;
	border-bottom:2px solid #C2C2C2;
}


.horizontal-menu-selected__name{
	font-size:20px;
	color:#000;
	font-weight:00;
}
.horizontal-menu-selected__subj{color:#000}
.horizontal-menu-selected__date{
	color:#000;
	float:right;
}
.horizontal-menu-selected__content{
	color:#999999;
	padding:0 100px 0 0;
}